Summary: 	A small text editor
Name:		nano
Version:	2.4.1
Release:	1
License:	GPL
Group:		Applications/Editors
URL:		http://www.nano-editor.org
Source0:	http://www.nano-editor.org/dist/v2.0/%{name}-%{version}.tar.gz
Source1:	http://www.nano-editor.org/dist/v2.0/%{name}-%{version}.tar.gz.sig

# http://lists.gnu.org/archive/html/nano-devel/2010-08/msg00004.html
Patch1:         nano-2.3.3-check-stat-s-result-and-avoid-calling-stat-on-a-NULL.patch

# http://lists.gnu.org/archive/html/nano-devel/2010-08/msg00005.html
Patch2:         nano-2.3.3-use-futimens-if-available-instead-of-utime.patch

Patch10:        %{name}-%{version}-aix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	patch
BuildRequires:	automake = 1.14.1
BuildRequires:	file-libs >= 5.21-1
BuildRequires:	gettext
Requires:	file-libs >= 5.21-1
Requires:	gettext
Requires:	/sbin/install-info, info

%description
GNU nano is a small and friendly text editor.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1
%patch2 -p1
%patch10


%build
export CC=xlc_r

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/%{name}.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

 
%preun
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING* ChangeLog INSTALL NEWS README* THANKS TODO UPGRADE
%doc doc/nanorc.sample
%doc doc/faq.html
%{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/%{name}.info*
%{_datadir}/locale/*/*/*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Wed Apr 15 2015 Michael Perzl <michael@perzl.org> - 2.4.1-1
- updated to version 2.4.1

* Mon Mar 23 2015 Michael Perzl <michael@perzl.org> - 2.4.0-1
- updated to version 2.4.0

* Thu Jul 17 2014 Michael Perzl <michael@perzl.org> - 2.3.6-1
- updated to version 2.3.6

* Sun Jul 13 2014 Michael Perzl <michael@perzl.org> - 2.3.5-1
- updated to version 2.3.5

* Tue Jun 03 2014 Michael Perzl <michael@perzl.org> - 2.3.4-1
- updated to version 2.3.4

* Thu May 29 2014 Michael Perzl <michael@perzl.org> - 2.3.3-1
- updated to version 2.3.3

* Wed Jul 24 2013 Michael Perzl <michael@perzl.org> - 2.3.2-2
- added the missing dependency on 'file-libs'

* Sat Mar 23 2013 Michael Perzl <michael@perzl.org> - 2.3.2-1
- updated to version 2.3.2

* Wed May 11 2011 Michael Perzl <michael@perzl.org> - 2.3.1-1
- updated to version 2.3.1

* Sat Feb 26 2011 Michael Perzl <michael@perzl.org> - 2.3.0-1
- updated to version 2.3.0

* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 2.2.6-1
- updated to version 2.2.6

* Sat Aug 07 2010 Michael Perzl <michael@perzl.org> - 2.2.5-1
- updated to version 2.2.5

* Mon Jul 05 2010 Michael Perzl <michael@perzl.org> - 2.2.4-2
- removed dependency on gettext >= 0.17

* Fri Apr 16 2010 Michael Perzl <michael@perzl.org> - 2.2.4-1
- updated to version 2.2.4

* Thu Feb 11 2010 Michael Perzl <michael@perzl.org> - 2.2.3-1
- updated to version 2.2.3

* Thu Jan 21 2010 Michael Perzl <michael@perzl.org> - 2.2.2-1
- updated to version 2.2.2

* Mon Dec 14 2009 Michael Perzl <michael@perzl.org> - 2.2.1-1
- updated to version 2.2.1

* Tue Dec 01 2009 Michael Perzl <michael@perzl.org> - 2.2.0-1
- updated to version 2.2.0

* Mon Aug 25 2008 Michael Perzl <michael@perzl.org> - 2.0.8-1
- updated to version 2.0.8

* Tue Feb 26 2008 Michael Perzl <michael@perzl.org> - 2.0.7-1
- First version for AIX5L v5.1 and higher
